﻿using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class AuthorizationController : MonoBehaviour
{
    public static string login;
    public static string password;
    public InputField Login;
    public InputField Password;
    public GameObject Error;
    public GameObject loading;

    public static bool send = false;
    public static bool success = false;
    public static bool error = false;
    static string textError = "Неправильный логин или пароль";

    Client client = new Client();

    // Start is called before the first frame update
    void Start()
    {
        DebugHelper.ActivateConsole();
    }

    // Update is called once per frame
    void Update()
    {
        if (success)
        {//SceneManager.LoadScene("Location");
            transform.gameObject.SetActive(false);
            client.SendGetUsers((uint)WorkerController.active_company + 1);
        }
        if(error) Error.SetActive(true);
    }

    public void Authorization()
    {
        login = Login.text;
        password = Password.text;

        if (!string.IsNullOrEmpty(login) && !string.IsNullOrEmpty(password))
        {
           send = true;
            error = false;
            Error.SetActive(false);           
        }
    }
    void OnGUI()
    {
        DebugHelper.DrawConsole();
    }
}
    
